Add feature hides new feature while attriute mask is open
Status: Open

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 25087

Description

When adding a new feature by digitizing, the newly created feature is not shown on the canvas as long as the attribute mask is open. It

reappears if the mask is accepted.

Intuitive behavour would be to show the feature all the time and remove it only if the mask is rejected.

History

#1 - 2017-09-25 11:54 AM - Giovanni Manghi

I think this wasn't the case in the past, but right now I can't say exactly when this changed.

#2 - 2017-09-25 11:56 AM - Bernhard Ströbl

Giovanni Manghi wrote:

I think this wasn't the case in the past, but right now I can't say exactly when this changed.

Neither can I. I gave a workshop on digitizing last week and one of the participants told me. I can see this behaviour in 2.18 and master.

#3 - 2018-12-09 08:57 PM - Jan Lippmann

i think this report should be a bug report. the issue is still present in 3.4.2 and master.

BTW: Many workshop users ask me "where is my feature, made i somthing wrong?" after finish digitising the feature and the attribut form appears

#4 - 2018-12-10 10:07 AM - Giovanni Manghi

- Priority changed from Low to Normal

Jan Lippmann wrote:

i think this report should be a bug report. the issue is still present in 3.4.2 and master.

BTW: Many workshop users ask me "where is my feature, made i somthing wrong?" after finish digitising the feature and the attribut form appears

I also think this is a UX regression. This worked as expected up to some point (I think it changed somewhere along the 2.* development, or maybe when

2.0 was released, not sure).
#5 - 2019-03-31 12:47 PM - Jan Lippmann

Any chance to fix this issue in the life of 3.4 LTR? The issue is still present in 3.4.6 and 3.6.1.
